@import "spaces-view";

@import "./components/index";
@import "./fonts";

:root {
  --ff-monospace: monospace;
  --ff-lato: "Lato", sans-serif;
  --ff-poppins: "Poppins", sans-serif;
  --ff-league-gothic: "League Gothic", sans-serif;
  --ff-inconsolata: "Inconsolata", sans-serif;
  --ff-paytone-one: "Paytone One", sans-serif;
  --ff-fira-sans-condensed: "Fira Sans Condensed", sans-serif;
  --ff-anton: "Anton", sans-serif;
  --ff-zen-kaku-gothic-new: "Zen Kaku Gothic New", sans-serif;
  --ff-oswald: "Oswald Variable", sans-serif;
  --ff-fjalla-one: "Fjalla One", sans-serif;
  --ff-crimson-pro: "Crimson Pro", serif;
  --ff-fredoka-one: "Fredoka One", serif;
}

.ff-monospace {
  font-family: monospace !important;
}

.ff-lato {
  font-family: "Lato", sans-serif !important;
}

.ff-poppins {
  font-family: "Poppins", sans-serif !important;
}

.ff-league-gothic {
  font-family: "League Gothic", sans-serif !important;
}

.ff-paytone-one {
  font-family: "Paytone One", sans-serif !important;
}

.ff-fira-sans-condensed {
  font-family: "Fira Sans Condensed", sans-serif !important;
}

.ff-anton {
  font-family: "Anton", sans-serif !important;
}

.ff-zen-kaku-gothic-new {
  font-family: "Zen Kaku Gothic New", sans-serif !important;
}

.ff-oswald {
  font-family: "Oswald Variable", sans-serif !important;
}

.ff-fjalla-one {
  font-family: "Fjalla One", sans-serif !important;
}

.ff-crimson-pro {
  font-family: "Crimson Pro", serif !important;
}

.ff-fredoka-one {
  font-family: "Fredoka One", serif !important;
}

.ff-inconsolata {
  font-family: "Inconsolata", monospace !important;
}

.btn-outline-success {
  --bs-btn-color: var(--bs-green);
  --bs-btn-border-color: var(--bs-green);
  --bs-btn-hover-color: var(--bs-white);
  --bs-btn-hover-bg: var(--bs-green);
  --bs-btn-hover-border-color: var(--bs-green);
  --bs-btn-active-color: var(--bs-white);
  --bs-btn-active-bg: var(--bs-green);
  --bs-btn-active-border-color: var(--bs-green);
  --bs-btn-disabled-border-color: var(--bs-green);
  --bs-btn-disabled-color: var(--bs-green);
}

.btn-outline-primary {
  --bs-btn-color: var(--bs-blue);
  --bs-btn-border-color: var(--bs-blue);
  --bs-btn-hover-color: var(--bs-white);
  --bs-btn-hover-bg: var(--bs-blue);
  --bs-btn-hover-border-color: var(--bs-blue);
  --bs-btn-active-color: var(--bs-white);
  --bs-btn-active-bg: var(--bs-blue);
  --bs-btn-active-border-color: var(--bs-blue);
  --bs-btn-disabled-border-color: var(--bs-blue);
  --bs-btn-disabled-color: var(--bs-blue);
}

.btn-outline-danger {
  --bs-btn-color: var(--bs-red);
  --bs-btn-border-color: var(--bs-red);
  --bs-btn-hover-color: var(--bs-white);
  --bs-btn-hover-bg: var(--bs-red);
  --bs-btn-hover-border-color: var(--bs-red);
  --bs-btn-active-color: var(--bs-white);
  --bs-btn-active-bg: var(--bs-red);
  --bs-btn-active-border-color: var(--bs-red);
  --bs-btn-disabled-border-color: var(--bs-red);
  --bs-btn-disabled-color: var(--bs-red);
}

.btn-outline-warning {
  --bs-btn-color: var(--bs-yellow);
  --bs-btn-border-color: var(--bs-yellow);
  --bs-btn-hover-color: var(--bs-black);
  --bs-btn-hover-bg: var(--bs-yellow);
  --bs-btn-hover-border-color: var(--bs-yellow);
  --bs-btn-active-color: var(--bs-black);
  --bs-btn-active-bg: var(--bs-yellow);
  --bs-btn-active-border-color: var(--bs-yellow);
  --bs-btn-disabled-border-color: var(--bs-yellow);
  --bs-btn-disabled-color: var(--bs-yellow);
}

.btn-outline-info {
  --bs-btn-color: var(--bs-cyan);
  --bs-btn-border-color: var(--bs-cyan);
  --bs-btn-hover-color: var(--bs-black);
  --bs-btn-hover-bg: var(--bs-cyan);
  --bs-btn-hover-border-color: var(--bs-cyan);
  --bs-btn-active-color: var(--bs-black);
  --bs-btn-active-bg: var(--bs-cyan);
  --bs-btn-active-border-color: var(--bs-cyan);
  --bs-btn-disabled-border-color: var(--bs-cyan);
  --bs-btn-disabled-color: var(--bs-cyan);
}
